<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create user form</title>
    <link rel="stylesheet" th:href="@{/style.css}" />
</head>
<body>
    <form method="POST" th:action="@{/form}" th:object="${user}">
        <h1>Create user</h1>
        <div th:if="${#fields.hasErrors()}">
          <span class="validationError">
             Please correct the problems below and resubmit.
          </span>
        </div>
        <label for="name">Name:</label>
        <input type="text" th:field="*{name}"/>

        <span class="validationError"
            th:if="${#fields.hasErrors('name')}"
            th:errors="*{name}">Name Error
        </span>
        <br/>

        <label for="age">Age:</label>
        <input type="text" th:field="*{age}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('age')}"
              th:errors="*{age}">Age Error
        </span>
        <br/>

        <label for="age">User type:</label>
        <select th:field="*{userType}">
            <option
                th:disabled
                th:selected
                th:value="${null}" th:text="Select" />
            <option
                th:each="userType: ${T(com.tje.users.User.UserType).values()}"
                th:value="${userType}"
                th:text="${userType}" />
        </select>
        <span class="validationError"
              th:if="${#fields.hasErrors('userType')}"
              th:errors="*{userType}">UserType Error
        </span>
        <br/>

        <label for="registrationDate">Registration date:</label>
        <input type="datetime-local" th:field="*{registrationDate}"/>

        <span class="validationError"
              th:if="${#fields.hasErrors('registrationDate')}"
              th:errors="*{registrationDate}">Registration Date Error
        </span>
        <br/>

        <br />
        <input type="submit" value="Submit"/>
    </form>


</body>
</html>
